# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# noarch, but to avoid debug* files interfering with manifest test:
%global debug_package %{nil}

# We need to patch the test suite if we have old versions of Test::More
%global old_test_more %(perl -MTest::More -e 'print (($Test::More::VERSION < 0.88) ? 1 : 0);' 2>/dev/null || echo 0)

#TODO: BR: perl(Perl::Critic::Policy::Variables::ProhibitUnusedVarsStricter) when available
#TODO: BR: perl(Text::CSV) when available

Name:		perl-PPIx-Regexp
Version:	0.051
Release:	1.%{__distinit}%{__distvers}
Summary:	Represent a regular expression of some sort
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/PPIx-Regexp/
Source0:	http://search.cpan.org/CPAN/authors/id/W/WY/WYANT/PPIx-Regexp-%{version}.tar.gz
Patch0:		PPIx-Regexp-0.051-old-Test::More.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
# ----------------------------------------------------------------------------
# Module build requirements
# ----------------------------------------------------------------------------
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl
%if 0%{?fedora} > 20 || 0%{?rhel} > 7
BuildRequires:	perl-generators
%endif
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(lib)
BuildRequires:	perl(Module::Metadata)
BuildRequires:	sed
# ----------------------------------------------------------------------------
# Module requirements
# ----------------------------------------------------------------------------
BuildRequires:	perl(base)
BuildRequires:	perl(Carp)
BuildRequires:	perl(constant)
BuildRequires:	perl(Encode)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(List::MoreUtils)
BuildRequires:	perl(List::Util)
BuildRequires:	perl(PPI::Document) >= 1.117
BuildRequires:	perl(Scalar::Util) >= 1.10
BuildRequires:	perl(strict)
BuildRequires:	perl(Task::Weaken)
BuildRequires:	perl(warnings)
# ----------------------------------------------------------------------------
# Regular test suite requirements
# ----------------------------------------------------------------------------
BuildRequires:	perl(Test::More) >= 0.4
# ----------------------------------------------------------------------------
# Optional test suite requirements
# ----------------------------------------------------------------------------
BuildRequires:	perl(charnames)
BuildRequires:	perl(Time::HiRes)
BuildRequires:	perl(YAML)
# ----------------------------------------------------------------------------
# Release test requirements (spelling check intentionally skipped)
# ----------------------------------------------------------------------------
BuildRequires:	perl(ExtUtils::Manifest)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(Test::CPAN::Changes)
# perl-Test-Kwalitee → perl-Test-CleanNamespaces → perl-Moose → perl-DBM-Deep
#		→ perl-DBD-SQLite → perl-Perl-MinimumVersion → perl-PPIx-Regexp
# Test::Perl::Critic → Perl::Critic → PPIx::Regexp
%if 0%{!?perl_bootstrap:1}
%if 0%{?fedora} > 8 || 0%{?rhel} > 5
# Test loops with 5.8.x
BuildRequires:	perl(Perl::MinimumVersion)
%endif
BuildRequires:	perl(Test::Kwalitee)
BuildRequires:	perl(Test::Perl::Critic)
%endif
BuildRequires:	perl(Test::Pod) >= 1.0
BuildRequires:	perl(Test::Pod::Coverage) >= 1.0
BuildRequires:	perl(version)
# ----------------------------------------------------------------------------
# Runtime requirements not automatically picked up by RPM
# ----------------------------------------------------------------------------
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(Encode)
Requires:	perl(PPI::Document) >= 1.117
Requires:	perl(Task::Weaken)

%description
The purpose of the PPIx-Regexp package is to parse regular expressions in a
manner similar to the way the PPI package parses Perl. This class forms the
root of the parse tree, playing a role similar to PPI::Document.

%prep
%setup -q -n PPIx-Regexp-%{version}

# Work with Test::More < 0.88
%if %{old_test_more}
%patch0
%endif

# Make sure we don't get bogus docfile dependencies
chmod -x eg/*
sed -i '1 s|/usr/local/bin/perl|/usr/bin/perl|' eg/*
sed -i '1 s|/usr/bin/env perl|/usr/bin/perl|' eg/*

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make authortest

%clean
rm -rf %{buildroot}

%files
%if 0%{?_licensedir:1}
%license LICENSES/*
%else
%doc LICENSES/
%endif
%doc Changes eg/ README
%{perl_vendorlib}/PPIx/
%{_mandir}/man3/PPIx::Regexp*.3*

%changelog
* Sun Jan 29 2017 Paul Howarth <paul@city-fan.org> - 0.051-1
- Update to 0.051
  - Support whitespace inside [] if /xx in effect; starting with Perl 5.25.9, a
    space or tab appearing inside a bracketed character class is not
    significant if /xx is asserted
  - Further deprecate tokenizer method prior()
  - Add 'provides' data to ExtUtils::MakeMaker output
  - SOME unescaped literal '{' removed in 5.025001; after '.', Unicode classes,
    and bracketed classes (including extended), they are still legal
  - Make /\b{/ an error; Perl fails to parse the above, because once it sees
    the '\b{' it wants to find one of the extended boundary assertions (like
    \b{wb}), and declares an error when it does not
- Update patch for building with Test::More < 0.88

* Fri Sep 23 2016 Paul Howarth <paul@city-fan.org> - 0.050-2
- BR: perl-generators where available

* Sat May  7 2016 Paul Howarth <paul@city-fan.org> - 0.050-1
- Update to 0.050
  - Parse bracketed substitution with embedded comment; this is something like
    s{foo}\n#{bar}\n{baz}, which is equivalent to s/foo/baz/
  - We now recognize postfix dereferences by default, since Perl does beginning
    with 5.24; in other words, default new() argument 'postderef' to true
  - Unterminated substitutions (i.e. 's//') should no longer cause an
    exception; instead, they parse as an unknown token
- Update patch for building with Test::More < 0.88

* Wed Apr 20 2016 Paul Howarth <paul@city-fan.org> - 0.049-1
- Update to 0.049
  - Robustify PPIx::Regexp->perl_version_removed(); the problem here was that
    if the expression being parsed was sufficiently badly-formed,
    $self->delimiters() would be undef, throwing a warning
  - Correct dump of embedded modifiers (eg: (?i:...))
- Simplify find command using -delete
- Update patch for building with Test::More < 0.88

* Tue Mar  1 2016 Paul Howarth <paul@city-fan.org> - 0.048-1
- Update to 0.048
  - Add option 'strict', like 'use re "strict"'
    In the presence of strict(), I opted to set perl_version_introduced to the
    version of Perl where the construct became an error
  - Parse '\N{}' as no-op
    The previous parse was a character class ('\N') followed by two literals
    ('{' and '}'), but perl5238delta said that it had been ignored up to that
    time; starting with 5.23.8 it is an error if 'use re strict' is in effect
  - Quash 'NOT a POSIX class ...' warning under 5.23.8
- Update patch for building with Test::More < 0.88

* Sat Jan 30 2016 Paul Howarth <paul@city-fan.org> - 0.047-1
- Update to 0.047
  - Recognize \b{lb}, introduced in 5.23.7; if this is retracted before 5.24,
    it will be removed outright
- Update patch for building with Test::More < 0.88

* Mon Jan 11 2016 Paul Howarth <paul@city-fan.org> - 0.046-1
- Update to 0.046
  - Add GitHub repository to metadata
- Update patch for building with Test::More < 0.88

* Fri Jan  1 2016 Paul Howarth <paul@city-fan.org> - 0.045-1
- Update to 0.045
  - Deprecate tokenizer method prior() in favour of prior_significant_token();
    this is not part of the public interface, so I suppose I could have just
    slam-dunked it, but ...
  - Add experimental ability to parse strings as well as regexes; the new
    functionality is controlled by the new new() argument 'parse', whose
    permitted values are 'regex' (the default), 'string', or 'guess'
- Update patch for building with Test::More < 0.88

* Wed Dec  9 2015 Paul Howarth <paul@city-fan.org> - 0.044-1
- Update to 0.044
  - Recognize postfix dereference if desired, controlled by the Boolean
    argument 'postderef' passed to PPIx::Regexp->new(); the default is false,
    but will become true if postfix dereference becomes mainstream Perl 5
  - Add explain() and supporting methods main_structure() and in_regex_set();
    the explain() method returns a brief explanation of what the element does
  - Restrict recognition of back references in replacement strings to \number
    form, since Perl itself does not recognize \g{...} or \k{...} there
  - Allow nesting of \Q with \U, \L, and \F (the perlop docs say these nest
    with each other); playing with Perl suggests that \U, \L and \F supersede
    each other, but that they as a group nest with \Q in either order, so that
    if you specify \Q and one of the \U, \L, \F group, you need two \Es to turn
    them all back off
- Update patch for building with Test::More < 0.88

* Thu Nov 19 2015 Paul Howarth <paul@city-fan.org> - 0.043-1
- Update to 0.043
  - Beginning with version 0.035, PPIx::Regexp was incorrectly reporting the
    sense of modifiers when the same token both asserted and negated modifiers
    (e.g. '(?x-i:...)'); this release should correct the problem
  - Document policy when Perl changes in such a way that the proper parse for a
    regular expression changes; in this case the more modern parse is preferred
  - Parse white space inside bracketed character classes inside extended
    bracketed character classes (whew!) as literals, except for the space
    character itself and the horizontal tab; this tracks the corresponding
    change in Perl 5.23.4, and will be reverted if the corresponding Perl
    change does not make it into 5.24.0
  - Clear error when lexer identifies unknown token; those who peruse the
    changes in this release will see that a bunch of refactoring was done as
    part of this
  - Parse \U and friends as meta-characters inside \Q...\E; this turns out to
    be what Perl itself does, as shown by "perl -E 'say qr{\Q\Ufoo}'"
  - Do not end regex set prematurely on finding '])'; the problem is that '])'
    can occur within an extended bracketed character class if it contains
    grouping parentheses and the last item in a group is a regular bracketed
    character class and there is no white space between the end of the
    character class and the end of the group
  - Record parse failure if switch condition is unknown; the structure was
    being reblessed to PPIx::Regexp::Structure::Unknown, but the number of
    parse failures was not being incremented
- Update patch for building with Test::More < 0.88

* Sat Oct 10 2015 Paul Howarth <paul@city-fan.org> - 0.042-1
- Update to 0.042
  - Produce parse error in the presence of trailing cruft (CPAN RT#107331)
  - Tweak documentation in PPIx::Regexp
  - Group types were not being recognized if they contained the delimiter
    character for the regexp (e.g. in qr<(?\<foo)> the look-behind assertion
    was not recognized as such)
  - Correct mis-parse of ' s///'; leading white space is supposed to be
    acceptable, but the leading whitespace token caused
    PPIx::Regexp::Lexer not to recognize the substitution as such
  - Tokenizer was failing when the string to be parsed was so bad it was
    trying to return the whole thing as a single PPIx::Regexp::Token::Unknown
  - PPIx::Regexp::Dumper now displays a message if a structure is missing its
    end delimiter
  - Report error rather than failing when parsing a string consisting wholly
    of white space
- Update patch for building with Test::More < 0.88

* Thu Jul  2 2015 Paul Howarth <paul@city-fan.org> - 0.041-1
- Update to 0.041
  - Accept non-ASCII whitespace under /x: the Whitespace object can be
    multiple characters; the perl_version_introduced() becomes '5.021001' if
    any of them is a code point above 127
  - The perl_version_removed() method now returns '5.021001' when called
    on a PPIx::Regexp object produced by parsing '?foo?' (match once
    without explicit 'm'); the object produced by parsing 'm?foo?' still
    returns the minimum Perl version
  - Report \C (match octet) as removed in 5.23.0
- Update patch for building with Test::More < 0.88

* Sat Jun 27 2015 Paul Howarth <paul@city-fan.org> - 0.040-3
- Perl 5.22 rebuild

* Sun May 31 2015 Paul Howarth <paul@city-fan.org> - 0.040-1
- Update to 0.040
  - Report /n (no captures) as having been added in 5.21.8
  - Do not parse unadorned parentheses as capture groups when /n is in effect;
    instead, they are parsed as PPIx::Regexp::Structure (named captures appear
    to be unaffected by /n)
  - Made a verbose dump a little more so; specifically, dump max_capture_group
    where relevant, and display dumped values a bit more informatively
- Update patch for building with Test::More < 0.88

* Fri Apr  3 2015 Paul Howarth <paul@city-fan.org> - 0.039-1
- Update to 0.039
  - Recognize nested subscripts in interpolation
  - Add \b{g} (= \b{gcb})
- Update patch for building with Test::More < 0.88

* Tue Mar 10 2015 Paul Howarth <paul@city-fan.org> - 0.038-1
- Update to 0.038
  - Handle the boundary assertions introduced in Perl 5.21.9: '\b{gcb}'
    (grapheme cluster boundary), '\b{wb}' (word boundary), '\b{sb}' (sentence
    boundary), and the corresponding '\B{...}' constructions
  - Similar-looking things like '\b{foo}' are not recognized as assertions, and
    are treated as unknown tokens (and therefore an error)
- Update patch for building with Test::More < 0.88

* Thu Nov 13 2014 Paul Howarth <paul@city-fan.org> - 0.037-1
- Update to 0.037
  - Correctly mark the replacement portion of s///ee as code; prior to this
    release it was parsed as though no /e were present
  - Make available the number of times a given modifier is asserted (except
    for the match semantics modifiers, which get handled differently); see
    PPIx::Regexp::Token::Modifier->asserted() and
    PPIx::Regexp::Tokenizer->modifier() for details
  - Have PPIx::Regexp::Structure::RegexSet POD recognize that the Perl docs
    (specifically perlrecharclass) now call this construction Extended
    Bracketed Character Classes, not sets
- Update patch for building with Test::More < 0.88

* Wed Sep 10 2014 Paul Howarth <paul@city-fan.org> - 0.036-3
- Drop %%defattr, redundant since rpm 4.4
- Use %%license where possible
- BR: perl(Test::CPAN::Changes) unconditionally

* Mon Jan  6 2014 Paul Howarth <paul@city-fan.org> - 0.036-1
- Update to 0.036
  - Retract the "Allow non-ASCII white space under /x" change introduced in
    version 0.033; I misread perl5170delta, and implemented early
  - Change to explicit character class to recognize white space under /x; I
    was previously using \s, which matched too much
- Update patch for building with Test::More < 0.88

* Sat Nov 16 2013 Paul Howarth <paul@city-fan.org> - 0.035-1
- Update to 0.035
  - Properly handle multi-character modifiers like /ee; we now handle /eie as
    being the same as /eei
  - Properly handle \g and \k back references that do not correspond to an
    actual capture group; they are now reblessed into the unknown token, and
    counted as errors
  - Add method error() to PPIx::Regexp::Element; this should return an error
    message when the element is in error - normally when it has been blessed
    into the unknown token or structure
  - Add method modifier_asserted() to PPIx::Regexp::Element; this walks the
    parse tree backward to determine if the given modifier is in effect for the
    element
- Update patch for building with Test::More < 0.88

* Tue Jul 23 2013 Paul Howarth <paul@city-fan.org> - 0.034-3
- Perl 5.18 rebuild

* Fri Jul  5 2013 Paul Howarth <paul@city-fan.org> - 0.034-2
- Don't BR: perl(Test::Kwalitee) when bootstrapping

* Mon May 13 2013 Paul Howarth <paul@city-fan.org> - 0.034-1
- Update to 0.034
  - Correct spelling and grammar errors in POD and comments (CPAN RT#85050)

* Sun Feb 24 2013 Paul Howarth <paul@city-fan.org> - 0.033-1
- Update to 0.033
  - Allow interpolation in regex sets; it implies Perl 5.17.9 or higher
  - Allow non-ASCII white space under /x; it implies Perl 5.17.9 or higher

* Thu Feb  7 2013 Paul Howarth <paul@city-fan.org> - 0.032-1
- Update to 0.032
  - Fix problems with Regex Set functionality under Perl 5.6.2
- Update patch for building with Test::More < 0.88

* Fri Feb  1 2013 Paul Howarth <paul@city-fan.org> - 0.031-1
- Update to 0.031
  - Have PPIx::Regexp::Token::Code (and offspring) become
    PPIx::Regexp::Token::Unknown inside a regex set
- Update patch for building with Test::More < 0.88

* Wed Jan 23 2013 Paul Howarth <paul@city-fan.org> - 0.030-1
- Update to 0.030
  - Add Regex Sets, which were added to Perl as an experimental feature in
    5.17.8; this is experimental in Perl and therefore the parse may change
  - Ditch PPIx::Regexp::Token::GroupType method __expect_after_match() in
    favour of the more general __match_setup(); this is done without
    deprecation because __expect_after_match() was documented as
    package-private, but noted in the change log because it _was_ documented
- Update patch for building with Test::More < 0.88

* Mon Jan 14 2013 Paul Howarth <paul@city-fan.org> - 0.029-1
- Update to 0.029
  - Fix mis-parse of /(\?|I)/ as a branch reset (it's really an alternation)
  - Add options -files and -objectify to eg/predump
  - Add method unescaped_content() to PPIx::Regexp::Element()
  - Rewrite the tokenizing code in PPIx::Regexp::Token::GroupType and offspring
    to use regular expressions specific to the regexp delimiter, and escaping
    only that delimiter
- Update patch for building with Test::More < 0.88
- BR: perl(Test::Perl::Critic) on all Perl versions

* Mon Jul 16 2012 Paul Howarth <paul@city-fan.org> - 0.028-3
- Perl 5.16 post-bootstrap rebuild

* Thu Jul 12 2012 Paul Howarth <paul@city-fan.org> - 0.028-2
- Perl 5.16 rebuild

* Thu Jun  7 2012 Paul Howarth <paul@city-fan.org> - 0.028-1
- Update to 0.028
  - Replace all uses of YAML::Any with YAML, since they come in the same
    distro, and YAML does not suffer from deprecation warnings
- BR: perl(base)
- Update patch for building with Test::More < 0.88

* Mon May 28 2012 Paul Howarth <paul@city-fan.org> - 0.027-1
- Update to 0.027
  - Eliminate unescaped literal "{" characters in regexps in
    PPIx::Regexp::Token::Backreference and
    PPIx::Regexp::Token::CharClass::Simple; these are deprecated in 5.17.0
- Don't need to remove empty directories from buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT
- Update patch for building with Test::More < 0.88

* Sat Feb 25 2012 Paul Howarth <paul@city-fan.org> - 0.026-1
- Update to 0.026
  - Add support for \F (fold case), added in 5.15.8
- Update patch for building with Test::More < 0.88

* Wed Feb  8 2012 Paul Howarth <paul@city-fan.org> - 0.025-2
- Don't BR: perl(Test::Perl::Critic) if we're bootstrapping

* Thu Jan  5 2012 Paul Howarth <paul@city-fan.org> - 0.025-1
- Update to 0.025
  - Tolerate leading and trailing white space around the regular expression;
    these are still round-trip safe, since the white space is tokenized
  - Make Changes file conform to CPAN::Changes, and add xt/author/changes.t
    to ensure continued compliance
- BR: perl(Test::CPAN::Changes)
- Update patch for building with Test::More < 0.88

* Mon Dec 19 2011 Paul Howarth <paul@city-fan.org> - 0.024-1
- Update to 0.024
  - Reinstate author test xt/author/manifest.t, which was clobbered shortly
    before the release of 0.021_10
- Explicitly disable debuginfo package to avoid interfering with manifest test
- Update patch for building with Test::More < 0.88

* Thu Dec  8 2011 Paul Howarth <paul@city-fan.org> - 0.023-1
- Update to 0.023
  - Correct address of FSF in the version of the GPL distributed in
    LICENSES/Copying
- Update patch for building with old Test::More versions

* Fri Nov 25 2011 Paul Howarth <paul@city-fan.org> - 0.022-1
- Update to 0.022
  - Support for default modifiers, including:
    - default_modifiers argument to new() in PPIx::Regexp,
      PPIx::Regexp::Tokenizer, and PPIx::Regexp::Dumper
    - Public method modifier_asserted() on PPIx::Regexp, to return
      whether a given modifier is actually in effect
  - Don't initialize effective modifiers with '^', since that wrongly
    asserts that /d has been seen somewhere along the line
  - Implement negation of match-semantic modifiers (e.g. 'no re /u;') by
    setting the relevant datum to undef
  - Fix PPIx::Regexp::Token::Whitespace->can_be_quantified() to return
    false
  - Require Test::More 0.88 for installation
  - Have Makefile.PL make use of {BUILD_REQUIRES} if it is available
  - Correct various documentation errors
- Patch test suite to work with Test::More < 0.88 if necessary
- Run author tests (except the spelling check, which has surprising failures)
- Add buildreqs for author tests:
  - perl(ExtUtils::Manifest)
  - perl(Test::Kwalitee)
  - perl(Test::Perl::Critic)
  - perl(Test::Pod) ≥ 1.0
  - perl(Test::Pod::Coverage) ≥ 1.0

* Sat Jul 23 2011 Paul Howarth <paul@city-fan.org> - 0.021-2
- Rebuild for perl 5.14.1 in Rawhide

* Sat Jul 23 2011 Paul Howarth <paul@city-fan.org> - 0.021-1
- Update to 0.021
  - Modified tokenizer to correctly handle a back slash used as a delimiter
  - PPIx::Regexp::Dumper now dumps the results of ppi() if that method is
    present and -verbose is asserted
- Fix dist tag for CentOS 6 and Scientific Linux

* Mon Apr  4 2011 Paul Howarth <paul@city-fan.org> - 0.020-1
- Update to 0.020
  - Corrected perl_version_introduced(): \R is now 5.009005 (was 5.000)
- Move module back to vendor directories rather than perl directories
- Nobody else likes macros for commands

* Wed Mar  2 2011 Paul Howarth <paul@city-fan.org> - 0.019-1
- Update to 0.019
  - Various corrections to perl_version_introduced():
    - \X is now 5.006 (was 5.000)
    - \N{name} is now 5.006001 (was 5.006)
    - \N{U+xxxx} is now 5.008 (was 5.006)
  - The \C is now parsed as a PPIx::Regexp::Token::CharClass::Simple
  - Ensure that \N{$foo} parses as a Unicode literal, not a quantified \N;
    the ordinal() method returns undef for this.
  - Understand the /aa modifier, introduced with 5.13.10
  - Report perl_version_introduced() of 5.013010 for the new semantic
    modifiers when modifying the entire expression
  - Correct handling of interpolations like ${^foo} and $#{foo}

* Thu Feb 17 2011 Paul Howarth <paul@city-fan.org> - 0.018-1
- Update to 0.018
  - Take account of possible '$' or '@' casts before a symbol in an
    interpolation (e.g. $$foo{bar}, which is equivalent to $foo->{bar})
  - Override ppi() in PPIx::Regexp::Token::Interpolation to provide the
    proper PPI when variable names are bracketed
  - Properly parse bracketed variable names, which may not be subscripted

* Thu Jan 27 2011 Paul Howarth <paul@city-fan.org> - 0.017-1
- Update to 0.017
  - Add the /a modifier to PPI::Regexp::Token::Modifiers, legal only in the
    (?:...) construction
  - When parsing an interpolation from a replacement string (rather than a
    regular expression), take subscripts at face value rather than trying to
    disambiguate them from quantifiers and character classes, which they can't
    be in this context
- Install to perl dirs rather than vendor dirs

* Thu Jan  6 2011 Paul Howarth <paul@city-fan.org> - 0.016-1
- Update to 0.016
  - The PPIx::Regexp::Token::Code perl_version_introduced() method now returns
    the minimum Perl version (currently set to 5.000) if it is used to
    represent the substitution portion of s///e

* Wed Dec 15 2010 Paul Howarth <paul@city-fan.org> - 0.015-2
- Import from Fedora

* Wed Oct 27 2010 Petr Pisar <ppisar@redhat.com> - 0.015-1
- 0.015 bump

* Mon Oct 18 2010 Petr Pisar <ppisar@redhat.com> - 0.014-1
- 0.014 bump

* Mon Oct 04 2010 Petr Pisar <ppisar@redhat.com> - 0.012-1
- 0.012 bump

* Wed Sep 22 2010 Petr Pisar <ppisar@redhat.com> - 0.011-1
- 0.011 bump
- Remove unversioned Requires

* Thu Sep 16 2010 Petr Pisar <ppisar@redhat.com> - 0.010-1
- 0.010 bump

* Tue Jun  8 2010 Petr Pisar <ppisar@redhat.com> - 0.007-1
- Specfile autogenerated by cpanspec 1.78 (bug #598553)
